SystemOrganization addCategory: #MEG!

Object subclass: #MEGEntity
	instanceVariableNames: 'name followers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

MEGEntity subclass: #MEGAgent
	instanceVariableNames: 'currentGeneralInfluence'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGAgent class methodsFor: 'instance creation' stamp: 'SergioFedi 6/6/2016 10:29'!
named: aString

	^self new 
		name: aString;
		yourself.! !

!MEGAgent methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 11:25'!
currentGeneralInfluence

	^currentGeneralInfluence.! !

!MEGAgent methodsFor: 'initialization' stamp: 'SergioFedi 6/6/2016 11:25'!
initialize

	super initialize.
	currentGeneralInfluence := 20.! !

MEGEntity subclass: #MEGCharacter
	instanceVariableNames: 'homeSiteCriteria companies characterFollowed currentSite world'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGCharacter class methodsFor: 'instance creation' stamp: 'SergioFedi 5/26/2016 09:08'!
named: aString homeSiteNamed: siteName

	^self new
		name: aString;
		homeSiteCriteria: (HomeSiteCriteria named: siteName);
		yourself.! !

!MEGCharacter class methodsFor: 'instance creation' stamp: 'SergioFedi 5/26/2016 09:02'!
named: aString homeSiteType: homeSiteTypeString

	^self new
		name: aString;
		homeSiteCriteria: (HomeSiteCriteria type: homeSiteTypeString);
		yourself.! !

!MEGCharacter methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:24'!
characterFollowed
	^ characterFollowed.! !

!MEGCharacter methodsFor: 'private' stamp: 'FedericoFigueredo 6/2/2016 09:16'!
characterFollowed: aMEGCharacter 
	characterFollowed := aMEGCharacter.! !

!MEGCharacter methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 23:46'!
companies

	^companies.! !

!MEGCharacter methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:26'!
currentSite
	^ currentSite.! !

!MEGCharacter methodsFor: 'private' stamp: 'FedericoFigueredo 6/2/2016 09:16'!
currentSite: aMEGSite 
	currentSite := aMEGSite.! !

!MEGCharacter methodsFor: 'private' stamp: 'SergioFedi 5/26/2016 08:55'!
homeSiteCriteria
	^ homeSiteCriteria! !

!MEGCharacter methodsFor: 'private' stamp: 'SergioFedi 5/26/2016 08:55'!
homeSiteCriteria: anObject
	homeSiteCriteria := anObject! !

!MEGCharacter methodsFor: 'initialization' stamp: 'SergioFedi 6/6/2016 11:23'!
initialize

	super initialize.

	companies := OrderedCollection new.
	homeSiteCriteria := nil.
! !

!MEGCharacter methodsFor: 'private' stamp: 'FedericoFigueredo 6/2/2016 08:55'!
newRecruitAction
	^ MEGRecruitCharacterAction world: self world.! !

!MEGCharacter methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:56'!
recruit: aMEGCharacter at: aMEGSite
	 
	| action |
	action := self newRecruitAction.
	
	action recruiter: self.
	action recruitee: aMEGCharacter.
	action site: aMEGSite.
	
	action perform.! !

!MEGCharacter methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:53'!
world
	^ world! !

!MEGCharacter methodsFor: 'private' stamp: 'FedericoFigueredo 6/2/2016 08:53'!
world: anObject
	world := anObject! !

!MEGEntity methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 11:21'!
followers
	^ followers.! !

!MEGEntity methodsFor: 'initialization' stamp: 'SergioFedi 6/6/2016 11:23'!
initialize

	super initialize.

	followers := OrderedCollection new.
	name := nil.
! !

!MEGEntity methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 11:21'!
name

	^name.! !

!MEGEntity methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 11:21'!
name: aString

	name := aString.! !

Object subclass: #MEGRecruitCharacterAction
	instanceVariableNames: 'recruiter recruitee world site'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGRecruitCharacterAction class methodsFor: 'instance creation' stamp: 'FedericoFigueredo 6/2/2016 09:01'!
world: aMEGWorld 
	^ self new
		world: aMEGWorld;
		yourself.! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 09:14'!
perform
	"establecerRelacionReclutadorReclutado"
	self recruiter followers add: recruitee.
	self recruitee characterFollowed: self recruiter.
	"meterReclutadoEnLocation"
	self recruitee currentSite: self site.
	self site occupants add: self recruitee.! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:57'!
recruitee
	^ recruitee! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:57'!
recruitee: anObject
	recruitee := anObject! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:57'!
recruiter
	^ recruiter! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:57'!
recruiter: anObject
	recruiter := anObject! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:58'!
site
	^ site! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:58'!
site: anObject
	site := anObject! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:58'!
world
	^ world! !

!MEGRecruitCharacterAction methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:58'!
world: anObject
	world := anObject! !

Object subclass: #MEGSite
	instanceVariableNames: 'name occupants'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGSite class methodsFor: 'instance creation' stamp: 'SergioFedi 5/26/2016 08:51'!
named: aString

	^self new name: aString.! !

!MEGSite methodsFor: 'private' stamp: 'FedericoFigueredo 6/2/2016 08:36'!
initialize
	super initialize.
	occupants := OrderedCollection new.! !

!MEGSite methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 08:51'!
name
	^ name! !

!MEGSite methodsFor: 'private' stamp: 'SergioFedi 5/26/2016 08:50'!
name: anObject
	name := anObject! !

!MEGSite methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:34'!
occupants
	^ occupants.! !

Object subclass: #MEGWorld
	instanceVariableNames: 'locations characters agents'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 10:30'!
addAgent: aMEGAgent

	self agents add: aMEGAgent.! !

!MEGWorld methodsFor: 'public' stamp: 'FedericoFigueredo 6/2/2016 08:56'!
addCharacter: aMEGCharacter

	aMEGCharacter world: self.
	characters add: aMEGCharacter.! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 11:57'!
addCharacters: aCollection

	aCollection do: [:character | self addCharacter: character].! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 09:11'!
addSite: aMEGSite

	locations add: aMEGSite.! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 10:32'!
agentNamed: aString

	^self agents detect: [:each | each name = aString].! !

!MEGWorld methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 10:31'!
agents

	^agents.! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 23:44'!
characterNamed: aString

	^self characters detect: [:char | char name = aString].! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 08:32'!
characters
	^ characters! !

!MEGWorld methodsFor: 'initialization' stamp: 'SergioFedi 6/6/2016 10:31'!
initialize

	super initialize.

	characters := OrderedCollection new.
	locations := OrderedCollection new.
	agents := OrderedCollection new.! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 08:32'!
locations

	^locations.! !

!MEGWorld methodsFor: 'public' stamp: 'SergioFedi 5/26/2016 23:40'!
siteNamed: aString

	^self locations detect: [:site | site name = aString].! !

Object subclass: #MEGWorldFactory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MEG'!

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 14:28'!
characterFromLines: lines
	| character  name homeSite |
	character := MEGCharacter new.
	name := self nameFrom: lines.
	character name: name.
	homeSite := self homeSiteFrom: lines.
	character homeSiteCriteria: homeSite.
	^character.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 12:37'!
charactersFrom: aCollection 
	self shouldBeImplemented.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 12:48'!
charactersFromString: aString

	|  charactersDescribedInLines |.
	charactersDescribedInLines := self groupLinesByFirstWordInCaps: aString lines.
	^charactersDescribedInLines collect: [:each | self characterFromLines: each].! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 12:01'!
charactersSpoilerString

	^'ADRAZAR  ‐  Scout/Diplomat  Dúnadan  (F)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  3/6;  Home  Site:  Dol  Amroth]    
Unique.  +1  direct  influence  against  all  factions.     
ANBORN  ‐  Scout/Ranger  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  2/8;  Home  Site:  Pelargir]    
Unique.  +2  direct  influence  against  the  Men  of  Lebennin  faction.     
ANNALENA  ‐  Scout/Sage  Elf  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Edhellond]    
Unique.     
ARAGORN  II  ‐  Warrior/Scout/Ranger  Dúnadan  (F)    
[MP:  3;  Mind:  9;  DI:  3;  P/B:  6/9;  Home  Site:  Bree]    
Unique.  +2  direct  influence  against  the  Rangers  of  the  North  faction.  ‐3  marshalling  points  if  eliminated.     
ARÎNMIR  ‐  Sage/Diplomat  Elf  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  2/7;  Home  Site:  Edhellond]    
Unique.  +2  direct  influence  against  the  Variags  faction.     
ARWEN  ‐  Scout/Sage  Elf  (R)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  2/8;  Home  Site:  Rivendell]   Unique.  +7  
direct  influence  only  usable  against  Aragorn  II.     
BALIN  ‐  Warrior/Sage  Dwarf  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +2  prowess  against  Orcs.  +1  direct  influence  against  Dwarves  and  Dwarf  factions.     
BARD  BOWMAN  ‐  Warrior/Scout  Man  (F)    
[Mind:  2;  DI:  0;  P/B:  3/6;  Home  Site:  Lake‐town]    
Unique.  +2  direct  influence  against  the  Men  of  Northern  Rhovanion  faction.     
BARLIMAN  BUTTERBUR  ‐  Warrior  Man  (U)    
[Mind:  1;  DI:  0;  P/B:  2/6;  Home  Site:  Bree]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.     
BEORN  ‐  Warrior/Ranger  Man  (F)    
[MP:  2;  Mind:  7;  DI:  2;  P/B:  7/9;  Home  Site:  Beornʹs  House]    
Unique.  +2  direct  influence  against  the  Beornings  faction.     
BEREGOND  ‐  Warrior  Dúnadan  (F)    
[Mind:  2;  DI:  0;  P/B:  4/8;  Home  Site:  Minas  Tirith]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.     
BERETAR  ‐  Warrior/Ranger  Dúnadan  (U)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  5/8;  Home  Site:  Bree]    
Unique.  +2  direct  influence  against  the  Rangers  of  the  North  faction.     
   
   
Middle‐earth CCG ‐ Full Spoiler List   4  
BERGIL  ‐  Warrior  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  1/9;  Home  Site:  Minas  Tirith]    
Unique.     
BIFUR  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BILBO  ‐  Scout/Sage  Hobbit  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +4.  ‐2  marshalling  points  if  eliminated.    
BOFUR  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BOMBUR  ‐  Warrior  Dwarf  (U)    
[Mind:  1;  DI:  0;  P/B:  3/6;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BOROMIR  II  ‐  Warrior  Dúnadan  (F)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  6/7;  Home  Site:  Minas  Tirith]    
Unique.  +2  direct  influence  against  the  Men  of  Anórien  faction.  ‐1  to  all  of  his  corruption  checks.    
CELEBORN  ‐  Warrior/Sage  Elf  (F)    
[MP:  2;  Mind:  6;  DI:  1;  P/B:  6/9;  Home  Site:  Lórien]    
Unique.  +5  direct  influence  that  is  only  usable  against  Galadriel.    
CÍRDAN  ‐  Warrior/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  8;  DI:  4;  P/B:  6/8;  Home  Site:  Grey  Havens]    
Unique.  When  Círdan  is  at  Grey  Havens,  his  controlling  player  may  keep  one  more  card  than  normal  in  his  hand.  May  tap  to  
cancel  one  attack  keyed  to  a  Coastal  Sea  region [ ].  +2  direct  influence  against  the  Elves  of  Lindon  faction.  ‐3  marshalling  points  if  
eliminated.    
DAIN  II  ‐  Warrior/Diplomat  Dwarf  (R)    
[MP:  2;  Mind:  7;  DI:  3;  P/B:  5/8;  Home  Site:  Iron  Hill  Dwarf‐Hold]    
Unique.   +2   direct   influence   against  Iron   Hill   Dwarves,   +2   prowess   against   Orcs.   +1   direct   influence   against   Men   and   Man  
factions.     
DAMROD  ‐  Scout/Ranger  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Vale  of  Erech]    
Unique.  +2  direct  influence  against  the  Men  of  Lamedon  faction.    
DENETHOR  II  ‐  Warrior/Sage  Dúnadan  (R)    
[MP:  1;  Mind:  4;  DI:  2;  P/B:  3/6;  Home  Site:  Minas  Tirith]    
Unique.  +2  direct  influence  against  the  Tower  Guard  of  Minas  Tirith  faction.     
   
   
Middle‐earth CCG ‐ Full Spoiler List   5  
DORI  ‐  Warrior  Dwarf  (U)   
[Mind:  1;  DI:  0;  P/B:  3/6;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
DWALIN  ‐  Warrior  Dwarf  (C)    
[Mind:  1;  DI:  0;  P/B:  2/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
ELLADAN  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/8;  Home  Site:  Rivendell]    
Unique.  +1  prowess  against  Orcs.    
ELROHIR  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/8;  Home  Site:  Rivendell]    
Unique.  +1  prowess  against  Orcs.    
ELROND  ‐  Warrior/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  10;  DI:  4;  P/B:  7/9;  Home  Site:  Rivendell]    
Unique.   When   Elrond   is   at   Rivendell,   his   controlling   player   may   keep   one   more   card   than   normal   in   his   hand.   ‐3  
marshalling  points  if  eliminated.    
ÉOMER  ‐  Warrior/Ranger  Man  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
ÉOWYN  ‐  Warrior/Scout  Man  (U)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Edoras]   
Unique.  Against  Nazgûl,  +6  to  her  prowess,  and  his  body  is  halved  (round  up).    
ERKENBRAND  ‐  Warrior  Man  (F)    
[MP:  1;  Mind:  4;  DI:  2;  P/B:  5/6;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
FARAMIR  ‐  Warrior/Ranger  Dúnadan  (F)    
[MP:  1;  Mind:  5;  DI:  1;  P/B:  5/8;  Home  Site:  Henneth  Annûn]   Unique.  +2  
direct  influence  against  the  Rangers  of  Ithilien  faction.    
FATTY  BOLGER  ‐  Scout  Hobbit  (P)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  1/8;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of   the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +1.  He  can  tap  to  cancel  a  strike  against  another  Hobbit  in  his  company.    
FÍLI  ‐  Warrior/Scout  Dwarf  (U)    
[Mind:  2;  DI:  0;  P/B:  2/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
FORLONG  ‐  Warrior  Dúnadan  (C)    
[Mind:  1;  DI:  0;  P/B:  3/7;  Home  Site:  Minas  Tirith]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   6  
FRODO  ‐  Scout/Diplomat  Hobbit  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +4.  ‐2  marshalling  points  if  eliminated.    
GALADRIEL  ‐  Scout/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  9;  DI:  4;  P/B:  3/10;  Home  Site:  Lórien]    
Unique.   When   Galadriel   is   at   Lórien,   her   controlling   player   may   keep   one   more   card   than   normal   in   his   hand.   ‐3  
marshalling  points  if  eliminated.    
GALVA  ‐  Scout/Sage/Diplomat  Man  (R)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  0/9;  Home  Site:  Shrel‐kain]    
Unique.  +2  direct  influence  against  the  Men  of  Dorwinion  faction.  Against  Nazgûl,  +6  to  her  prowess,  and  his  body  is  halved  
(round  up).     
GAMLING  THE  OLD  ‐  Warrior  Man  (U)    
[Mind:  2;  DI:  1;  P/B:  3/7;  Home  Site:  Edoras]   
Unique.     
GHÂN‐BURI‐GHÂN  ‐  Scout/Ranger  Man  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  2/9;  Home  Site:  Drúadan  Forest]  
Unique.  +2  direct  influence  against  Wose  factions.    
GILDOR  INGLORION  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/7;  Home  Site:  Rivendell]    
Unique.  +2  prowess  against  Orcs.    
GIMLI  ‐  Warrior/Diplomat  Dwarf  (F)    
[MP:  2;  Mind:  6;  DI:  2;  P/B:  5/8;  Home  Site:  Iron  Hill  Dwarf‐Hold]    
Unique.  +2  direct  influence  against  Iron  Hill  Dwarves.  +2  prowess  against  Orcs.  +1  direct  influence  against  Elves  and  Elf  factions.     
GLÓIN  ‐  Warrior/Diplomat  Dwarf  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  5/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +2  direct  influence  against  Blue  Mountain  Dwarves.  +1  prowess  against  Orcs.  +1  direct  influence  against  Dwarves  
and  Dwarf  factions.    
GLORFINDEL  II  ‐  Warrior/Sage  Elf  (F)    
[MP:  3;  Mind:  8;  DI:  2;  P/B:  8/9;  Home  Site:  Rivendell]    
Unique.  +1  direct  influence  against  Elves.     
HALBARAD  ‐ Sage/Diplomat  Dúnadan  (U)    
[Mind:  1;  DI:  1;  P/B:  0/5;  Home  Site:  Cameth  Brin]    
Uniq@    
HALDALAM  ‐  Warrior/Diplomat  Dúnadan  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  4/9;  Home  Site:  Shrel‐kain]    
Unique.  +4  direct  influence  against  the  Easterlings  faction.    
HALDIR  ‐  Warrior  Elf  (U)   
[MP:  1;  Mind:  3;  DI:  0;  P/B:  4/8;  Home  Site:  Lórien]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   7  
HAMA  ‐  Warrior  Man  (C)    
[Mind:  2;  DI:  0;  P/B:  4/8;  Home  Site:  Edoras]   
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
IMRAHIL  ‐  Warrior/Diplomat  Dúnadan  (U)    
[MP:  2;  Mind:  6;  DI:  2;  P/B:  5/8;  Home  Site:  Dol  Amroth]    
Unique.  +2  direct  influence  against  the  Knights  of  Dol  Amroth  faction.    
KÍLI  ‐  Warrior/Scout  Dwarf  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
LEGOLAS  ‐  Warrior/Diplomat  Elf  (U)    
[MP:   2;   Mind:   6;   DI:   2;   P/B:   5/8;   Home   Site:   Thranduilʹs   Halls]   
Unique.  +2  direct  influence  against  the  Wood‐elves  faction.    
MABLUNG  ‐  Warrior/Scout  Dúnadan  (U)   
[Mind:  1;  DI:  0;  P/B:  1/6;  Home  Site:  Lond  Galen]    
Unique.  +2  direct  influence  against  the  Men  of  Anfalas  faction.     
MERRY  ‐  Scout  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
NORI  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
ÓIN  ‐  Warrior/Ranger  Dwarf  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   Unique.  
+1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.    
ORI  ‐  Warrior  Dwarf  (C)    
[Mind:  1;  DI:  0;  P/B:  2/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
OROPHIN  ‐  Warrior/Ranger  Elf  (C)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Lórien]   
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
PEATH  ‐  Ranger/Diplomat  Man  (F)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  4/7;  Home  Site:  Dunnish  Clan‐hold]   
Unique.  +4  direct  influence  against  the  Dunlendings  faction.  Against  Nazgûl,  +5  to  her  prowess,  his  body  is  halved  (round  
up).     
PIPPIN  ‐  Scout  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   8  
ROBIN  SMALLBURROW  ‐  Scout  Hobbit  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
SAM  GAMGEE  ‐  Scout/Ranger  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +3.    
THÉODEN  ‐  Warrior/Diplomat  Man  (F)    
[MP:  2;  Mind:  6;  DI:  3;  P/B:  5/6;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
THORIN  II  ‐  Warrior/Scout/Diplomat  Dwarf  (R)    
[MP:  3;  Mind:  8;  DI:  2;  P/B:  5/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +2  direct  influence  against  Blue  Mountain  Dwarves.  +3  prowess  against  Orcs.  +2  direct  influence  against  Dwarves  
and  Dwarf  factions.    
THRANDUIL  ‐  Warrior/Ranger/Sage  Elf  (F)    
[MP:   3;   Mind:   9;   DI:   3;   P/B:   7/8;   Home   Site:   Thranduilʹs   Halls]   
Unique.  +2  direct  influence  against  the  Wood‐elves  faction.    
VÔTELI  ‐  Ranger/Sage  Man  (C)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  3/6;  Home  Site:  Lossadan  Camp]    
Unique.  +2  direct  influence  against  the  Lossoth  faction.  Against  Nazgûl,  +5  to  her  prowess,  and  his  body  is  halved  (round  
up).     
VYGAVRIL  ‐  Diplomat/Sage  Man  (R)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  2/7;  Home  Site:  Southron  Oasis]   
Unique.  +2  direct  influence  against  the  Southron  faction.  Against  Nazgûl,  +6  to  prowess,  and  his  body  is  halved  (round  up).     
WACHO  ‐  Scout/Sage  Man  (U)    
[Mind:  2;  DI:  0;  P/B:  1/8;  Home  Site:  Woodmen‐town]    
Unique.  +2  direct  influence  against  the  Woodmen  faction.'.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 12:51'!
charactersSpoilerString2

	^'ADRAZAR  ‐  Scout/Diplomat  Dúnadan  (F)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  3/6;  Home  Site:  Dol  Amroth]    
Unique.  +1  direct  influence  against  all  factions.     
ANBORN  ‐  Scout/Ranger  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  2/8;  Home  Site:  Pelargir]    
Unique.  +2  direct  influence  against  the  Men  of  Lebennin  faction.     
ANNALENA  ‐  Scout/Sage  Elf  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Edhellond]    
Unique.     
ARAGORN  II  ‐  Warrior/Scout/Ranger  Dúnadan  (F)    
[MP:  3;  Mind:  9;  DI:  3;  P/B:  6/9;  Home  Site:  Bree]    
Unique.  +2  direct  influence  against  the  Rangers  of  the  North  faction.  ‐3  marshalling  points  if  eliminated.     
ARÎNMIR  ‐  Sage/Diplomat  Elf  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  2/7;  Home  Site:  Edhellond]    
Unique.  +2  direct  influence  against  the  Variags  faction.     
ARWEN  ‐  Scout/Sage  Elf  (R)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  2/8;  Home  Site:  Rivendell]   Unique.  +7  
direct  influence  only  usable  against  Aragorn  II.     
BALIN  ‐  Warrior/Sage  Dwarf  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +2  prowess  against  Orcs.  +1  direct  influence  against  Dwarves  and  Dwarf  factions.     
BARD  BOWMAN  ‐  Warrior/Scout  Man  (F)    
[Mind:  2;  DI:  0;  P/B:  3/6;  Home  Site:  Lake‐town]    
Unique.  +2  direct  influence  against  the  Men  of  Northern  Rhovanion  faction.     
BARLIMAN  BUTTERBUR  ‐  Warrior  Man  (U)    
[Mind:  1;  DI:  0;  P/B:  2/6;  Home  Site:  Bree]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.     
BEORN  ‐  Warrior/Ranger  Man  (F)    
[MP:  2;  Mind:  7;  DI:  2;  P/B:  7/9;  Home  Site:  Beornʹs  House]    
Unique.  +2  direct  influence  against  the  Beornings  faction.     
BEREGOND  ‐  Warrior  Dúnadan  (F)    
[Mind:  2;  DI:  0;  P/B:  4/8;  Home  Site:  Minas  Tirith]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.     
BERETAR  ‐  Warrior/Ranger  Dúnadan  (U)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  5/8;  Home  Site:  Bree]    
Unique.  +2  direct  influence  against  the  Rangers  of  the  North  faction.     
   
   
Middle‐earth CCG ‐ Full Spoiler List   4  
BERGIL  ‐  Warrior  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  1/9;  Home  Site:  Minas  Tirith]    
Unique.     
BIFUR  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BILBO  ‐  Scout/Sage  Hobbit  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +4.  ‐2  marshalling  points  if  eliminated.    
BOFUR  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BOMBUR  ‐  Warrior  Dwarf  (U)    
[Mind:  1;  DI:  0;  P/B:  3/6;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
BOROMIR  II  ‐  Warrior  Dúnadan  (F)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  6/7;  Home  Site:  Minas  Tirith]    
Unique.  +2  direct  influence  against  the  Men  of  Anórien  faction.  ‐1  to  all  of  his  corruption  checks.    
CELEBORN  ‐  Warrior/Sage  Elf  (F)    
[MP:  2;  Mind:  6;  DI:  1;  P/B:  6/9;  Home  Site:  Lórien]    
Unique.  +5  direct  influence  that  is  only  usable  against  Galadriel.    
CÍRDAN  ‐  Warrior/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  8;  DI:  4;  P/B:  6/8;  Home  Site:  Grey  Havens]    
Unique.  When  Círdan  is  at  Grey  Havens,  his  controlling  player  may  keep  one  more  card  than  normal  in  his  hand.  May  tap  to  
cancel  one  attack  keyed  to  a  Coastal  Sea  region [ ].  +2  direct  influence  against  the  Elves  of  Lindon  faction.  ‐3  marshalling  points  if  
eliminated.    
DAIN  II  ‐  Warrior/Diplomat  Dwarf  (R)    
[MP:  2;  Mind:  7;  DI:  3;  P/B:  5/8;  Home  Site:  Iron  Hill  Dwarf‐Hold]    
Unique.   +2   direct   influence   against  Iron   Hill   Dwarves,   +2   prowess   against   Orcs.   +1   direct   influence   against   Men   and   Man  
factions.     
DAMROD  ‐  Scout/Ranger  Dúnadan  (U)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Vale  of  Erech]    
Unique.  +2  direct  influence  against  the  Men  of  Lamedon  faction.    
DENETHOR  II  ‐  Warrior/Sage  Dúnadan  (R)    
[MP:  1;  Mind:  4;  DI:  2;  P/B:  3/6;  Home  Site:  Minas  Tirith]    
Unique.  +2  direct  influence  against  the  Tower  Guard  of  Minas  Tirith  faction.     
   
   
Middle‐earth CCG ‐ Full Spoiler List   5  
DORI  ‐  Warrior  Dwarf  (U)   
[Mind:  1;  DI:  0;  P/B:  3/6;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
DWALIN  ‐  Warrior  Dwarf  (C)    
[Mind:  1;  DI:  0;  P/B:  2/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
ELLADAN  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/8;  Home  Site:  Rivendell]    
Unique.  +1  prowess  against  Orcs.    
ELROHIR  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/8;  Home  Site:  Rivendell]    
Unique.  +1  prowess  against  Orcs.    
ELROND  ‐  Warrior/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  10;  DI:  4;  P/B:  7/9;  Home  Site:  Rivendell]    
Unique.   When   Elrond   is   at   Rivendell,   his   controlling   player   may   keep   one   more   card   than   normal   in   his   hand.   ‐3  
marshalling  points  if  eliminated.    
ÉOMER  ‐  Warrior/Ranger  Man  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
ÉOWYN  ‐  Warrior/Scout  Man  (U)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Edoras]   
Unique.  Against  Nazgûl,  +6  to  her  prowess,  and  his  body  is  halved  (round  up).    
ERKENBRAND  ‐  Warrior  Man  (F)    
[MP:  1;  Mind:  4;  DI:  2;  P/B:  5/6;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
FARAMIR  ‐  Warrior/Ranger  Dúnadan  (F)    
[MP:  1;  Mind:  5;  DI:  1;  P/B:  5/8;  Home  Site:  Henneth  Annûn]   Unique.  +2  
direct  influence  against  the  Rangers  of  Ithilien  faction.    
FATTY  BOLGER  ‐  Scout  Hobbit  (P)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  1/8;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of   the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +1.  He  can  tap  to  cancel  a  strike  against  another  Hobbit  in  his  company.    
FÍLI  ‐  Warrior/Scout  Dwarf  (U)    
[Mind:  2;  DI:  0;  P/B:  2/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
FORLONG  ‐  Warrior  Dúnadan  (C)    
[Mind:  1;  DI:  0;  P/B:  3/7;  Home  Site:  Minas  Tirith]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   6  
FRODO  ‐  Scout/Diplomat  Hobbit  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +4.  ‐2  marshalling  points  if  eliminated.    
GALADRIEL  ‐  Scout/Sage/Diplomat  Elf  (R)    
[MP:  3;  Mind:  9;  DI:  4;  P/B:  3/10;  Home  Site:  Lórien]    
Unique.   When   Galadriel   is   at   Lórien,   her   controlling   player   may   keep   one   more   card   than   normal   in   his   hand.   ‐3  
marshalling  points  if  eliminated.    
GALVA  ‐  Scout/Sage/Diplomat  Man  (R)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  0/9;  Home  Site:  Shrel‐kain]    
Unique.  +2  direct  influence  against  the  Men  of  Dorwinion  faction.  Against  Nazgûl,  +6  to  her  prowess,  and  his  body  is  halved  
(round  up).     
GAMLING  THE  OLD  ‐  Warrior  Man  (U)    
[Mind:  2;  DI:  1;  P/B:  3/7;  Home  Site:  Edoras]   
Unique.     
GHÂN‐BURI‐GHÂN  ‐  Scout/Ranger  Man  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  2/9;  Home  Site:  Drúadan  Forest]  
Unique.  +2  direct  influence  against  Wose  factions.    
GILDOR  INGLORION  ‐  Warrior/Ranger  Elf  (F)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  5/7;  Home  Site:  Rivendell]    
Unique.  +2  prowess  against  Orcs.    
GIMLI  ‐  Warrior/Diplomat  Dwarf  (F)    
[MP:  2;  Mind:  6;  DI:  2;  P/B:  5/8;  Home  Site:  Iron  Hill  Dwarf‐Hold]    
Unique.  +2  direct  influence  against  Iron  Hill  Dwarves.  +2  prowess  against  Orcs.  +1  direct  influence  against  Elves  and  Elf  factions.     
GLÓIN  ‐  Warrior/Diplomat  Dwarf  (U)    
[MP:  2;  Mind:  5;  DI:  2;  P/B:  5/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +2  direct  influence  against  Blue  Mountain  Dwarves.  +1  prowess  against  Orcs.  +1  direct  influence  against  Dwarves  
and  Dwarf  factions.    
GLORFINDEL  II  ‐  Warrior/Sage  Elf  (F)    
[MP:  3;  Mind:  8;  DI:  2;  P/B:  8/9;  Home  Site:  Rivendell]    
Unique.  +1  direct  influence  against  Elves.     
HALBARAD  ‐ Sage/Diplomat  Dúnadan  (U)    
[Mind:  1;  DI:  1;  P/B:  0/5;  Home  Site:  Cameth  Brin]    
Uniq@    
HALDALAM  ‐  Warrior/Diplomat  Dúnadan  (R)    
[MP:  2;  Mind:  5;  DI:  1;  P/B:  4/9;  Home  Site:  Shrel‐kain]    
Unique.  +4  direct  influence  against  the  Easterlings  faction.    
HALDIR  ‐  Warrior  Elf  (U)   
[MP:  1;  Mind:  3;  DI:  0;  P/B:  4/8;  Home  Site:  Lórien]    
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   7  
HAMA  ‐  Warrior  Man  (C)    
[Mind:  2;  DI:  0;  P/B:  4/8;  Home  Site:  Edoras]   
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
IMRAHIL  ‐  Warrior/Diplomat  Dúnadan  (U)    
[MP:  2;  Mind:  6;  DI:  2;  P/B:  5/8;  Home  Site:  Dol  Amroth]    
Unique.  +2  direct  influence  against  the  Knights  of  Dol  Amroth  faction.    
KÍLI  ‐  Warrior/Scout  Dwarf  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
LEGOLAS  ‐  Warrior/Diplomat  Elf  (U)    
[MP:   2;   Mind:   6;   DI:   2;   P/B:   5/8;   Home   Site:   Thranduilʹs   Halls]   
Unique.  +2  direct  influence  against  the  Wood‐elves  faction.    
MABLUNG  ‐  Warrior/Scout  Dúnadan  (U)   
[Mind:  1;  DI:  0;  P/B:  1/6;  Home  Site:  Lond  Galen]    
Unique.  +2  direct  influence  against  the  Men  of  Anfalas  faction.     
MERRY  ‐  Scout  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
NORI  ‐  Warrior  Dwarf  (C)    
[Mind:  2;  DI:  0;  P/B:  4/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
ÓIN  ‐  Warrior/Ranger  Dwarf  (U)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  3/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   Unique.  
+1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.    
ORI  ‐  Warrior  Dwarf  (C)    
[Mind:  1;  DI:  0;  P/B:  2/7;  Home  Site:  Blue  Mountain  Dwarf‐hold]    
Unique.  +1  prowess  against  Orcs.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
OROPHIN  ‐  Warrior/Ranger  Elf  (C)    
[Mind:  2;  DI:  0;  P/B:  2/7;  Home  Site:  Lórien]   
Unique.  ‐1  to  all  of  his  corruption  checks.  ‐1  to  influence  checks  against  factions.    
PEATH  ‐  Ranger/Diplomat  Man  (F)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  4/7;  Home  Site:  Dunnish  Clan‐hold]   
Unique.  +4  direct  influence  against  the  Dunlendings  faction.  Against  Nazgûl,  +5  to  her  prowess,  his  body  is  halved  (round  
up).     
PIPPIN  ‐  Scout  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  1;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
   
   
Middle‐earth CCG ‐ Full Spoiler List   8  
ROBIN  SMALLBURROW  ‐  Scout  Hobbit  (F)    
[MP:  1;  Mind:  3;  DI:  0;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +2.    
SAM  GAMGEE  ‐  Scout/Ranger  Hobbit  (U)    
[MP:  1;  Mind:  4;  DI:  0;  P/B:  1/9;  Home  Site:  Bag  End]    
Unique.   Unless   he   is   one   of  the   starting   characters,   he   may   only   be   brought   into   play   at   his   home   site.   All   of   his  
corruption  checks  are  modified  by  +3.    
THÉODEN  ‐  Warrior/Diplomat  Man  (F)    
[MP:  2;  Mind:  6;  DI:  3;  P/B:  5/6;  Home  Site:  Edoras]    
Unique.  +2  direct  influence  against  the  Riders  of  Rohan  faction.    
THORIN  II  ‐  Warrior/Scout/Diplomat  Dwarf  (R)    
[MP:  3;  Mind:  8;  DI:  2;  P/B:  5/8;  Home  Site:  Blue  Mountain  Dwarf‐hold]   
Unique.  +2  direct  influence  against  Blue  Mountain  Dwarves.  +3  prowess  against  Orcs.  +2  direct  influence  against  Dwarves  
and  Dwarf  factions.    
THRANDUIL  ‐  Warrior/Ranger/Sage  Elf  (F)    
[MP:   3;   Mind:   9;   DI:   3;   P/B:   7/8;   Home   Site:   Thranduilʹs   Halls]   
Unique.  +2  direct  influence  against  the  Wood‐elves  faction.    
VÔTELI  ‐  Ranger/Sage  Man  (C)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  3/6;  Home  Site:  Lossadan  Camp]    
Unique.  +2  direct  influence  against  the  Lossoth  faction.  Against  Nazgûl,  +5  to  her  prowess,  and  his  body  is  halved  (round  
up).     
VYGAVRIL  ‐  Diplomat/Sage  Man  (R)    
[MP:  1;  Mind:  3;  DI:  1;  P/B:  2/7;  Home  Site:  Southron  Oasis]   
Unique.  +2  direct  influence  against  the  Southron  faction.  Against  Nazgûl,  +6  to  prowess,  and  his  body  is  halved  (round  up).     
WACHO  ‐  Scout/Sage  Man  (U)    
[Mind:  2;  DI:  0;  P/B:  1/8;  Home  Site:  Woodmen‐town]    
Unique.  +2  direct  influence  against  the  Woodmen  faction.'.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:39'!
groupLinesByFirstWordInCaps: aCollection

	| currentLineGroup lineGroups |
	lineGroups := OrderedCollection new.
	currentLineGroup := OrderedCollection new.
	aCollection do: [ :line |
		(self isLineValid: line) ifTrue: [
			((self isLineFirstWordInCaps: line) and: [currentLineGroup notEmpty])
				ifTrue: [
					lineGroups add: currentLineGroup.
					currentLineGroup := OrderedCollection new.
			].
			currentLineGroup add: line trim.
		]
	].
	currentLineGroup notEmpty ifTrue: [ lineGroups add: currentLineGroup ].
	^lineGroups.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:54'!
homeSiteFrom: lines
	| stats homeSiteStat homeSiteString tokenizedName assembledName |
	stats := self statsFromLines: lines.
	homeSiteStat := stats last.
	self assert: (homeSiteStat matchesRegex: 'Home(' , (Character value: 160) asString , '| )+Site\:.+').
	homeSiteString := (homeSiteStat allButFirst: (homeSiteStat indexOf: $:)).
	tokenizedName := homeSiteString substrings.
	assembledName := OrderedCollection new.
	tokenizedName do: [ :each | assembledName add: each ] separatedBy: [assembledName add: (Array with: $ )].
	^ HomeSiteCriteria named: (String newFrom: assembledName concatenation).
	

! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:39'!
isLineFirstWordInCaps: aString

	^aString substrings first allSatisfy: [:char | char isUppercase ].! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:40'!
isLineValid: aString
	^ aString trim isEmpty not.! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:41'!
nameFrom: aCollection

	| line1 name |
	line1 := aCollection first substrings.
	name := line1 first asLowercase.
	name at: 1 put: name first asUppercase.
	^name.! !

!MEGWorldFactory methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 15:36'!
newCharacters

	^self charactersFromString: (self charactersSpoilerString2 copyReplaceAll: (Array with: (Character value: 160)) with: (Array with: $ )).! !

!MEGWorldFactory methodsFor: 'public' stamp: 'SergioFedi 6/6/2016 11:56'!
newWorld
	| world gandalf rivendel characters wizard |
	world := MEGWorld new.
	rivendel := MEGSite named: 'Rivendel'.
	gandalf := MEGCharacter named: 'Gandalf' homeSiteType: 'Haven'.
	characters := self newCharacters.
	wizard := MEGAgent named: 'Jugador 1'.
	world addSite: rivendel.
	world addCharacter: gandalf.
	world addCharacters: characters.
	world addAgent: wizard.
	^ world! !

!MEGWorldFactory methodsFor: 'private' stamp: 'SergioFedi 6/6/2016 15:42'!
statsFromLines: lines
	| line2 stats |
	line2 := lines second.
	line2 := line2
		copyFrom: (line2 indexOf: $[)
		to: (line2 indexOf: $]).
	line2 := line2 allButFirst allButLast.
	stats := line2 substrings: (Array with: $;).
	stats := stats collect: [ :each | each trim ].
	^ stats! !
